Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
kyotocabinet::BasicDB::FileProcessor Class Reference

Interface to process the database file. More...

`#include <kcdb.h>`

List of all members.

## Public Member Functions

virtual | ~FileProcessor ()
| Destructor.
virtual bool | process (const std::string &path, int64_t count, int64_t size)=0
| Process the database file.

## Detailed Description

Interface to process the database file.

## Constructor & Destructor Documentation

virtual kyotocabinet::BasicDB::FileProcessor::~FileProcessor | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual bool kyotocabinet::BasicDB::FileProcessor::process | ( | const std::string & | path,
|  | int64_t | count,
|  | int64_t | size
| ) |  | `[pure virtual]`

Process the database file.

Parameters:

  path | the path of the database file.
  count | the number of records. A negative value means omission.
  size | the size of the available region. A negative value means omission.

Returns:
  true on success, or false on failure.